#include <bits/stdc++.h>
using namespace std;

int aps(int x){
    if(x<0)return -x;
    else return x;
}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    vector<pair<double,double>> a;
    int n;
    double sum=0;
    cin>>n;
    for(int i=0;i<n;i++){
        double x;
        double y;
        cin>>x>>y;
        a.push_back(make_pair(y,x));
        sum+=x;
    }
    sort(a.begin(),a.end());
    double maks=0;
    int i=0;
    while(i<n){
        double pr=a[i].first;
        if((sum/100.0)*pr>maks)maks=(sum/100.0)*pr;
        while(i<n && a[i].first-pr<=0.001){
            sum-=a[i].second;
            i++;
        }

    }
    cout<<setprecision(4)<<fixed<<maks<<endl;
return 0;
}